# Asterisk Project : Asterisk 13 ManagerAction_MixMonitor

Created by wikibot on Aug 08, 2014

# MixMonitor

### Synopsis

Record a call and mix the audio during the recording. Use of StopMixMonitor is required to guarantee the audio file is available for processing during dialplan execution.

### Description

This action records the audio on the current channel to the specified file.

- `MIXMONITOR_FILENAME` - Will contain the filename used to record the mixed stream.

### Syntax

    Action: MixMonitor
    ActionID: <value>
    Channel: <value>
    File: <value>
    options: <value>
    Command: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Channel` - Used to specify the channel to record.
- `File` - Is the name of the file created in the monitor spool directory. Defaults to the same name as the channel (with slashes replaced with dashes). This argument is optional if you specify to record unidirectional audio with either the r(filename) or t(filename) options in the options field. If neither MIXMONITOR_FILENAME or this parameter is set, the mixed stream won't be recorded.
- `options` - Options that apply to the MixMonitor in the same way as they would apply if invoked from the MixMonitor application. For a list of available options, see the documentation for the mixmonitor application.
- `Command` - Will be executed when the recording is over. Any strings matching `^{X`} will be unescaped to `X`. All variables will be evaluated at the time MixMonitor is called.

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538